# Uses of Class
org.apache.lucene.util.fst.Outputs

Packages that use Outputs
Package
Description
org.apache.lucene.util.fst
Finite state transducers

- ## Uses of Outputs in org.apache.lucene.util.fst

  Subclasses of Outputs in org.apache.lucene.util.fst
  Modifier and Type
  Class
  Description
  `final class`
  `ByteSequenceOutputs`
  An FST `Outputs` implementation where each output is a sequence of bytes.
  `final class`
  `CharSequenceOutputs`
  An FST `Outputs` implementation where each output is a sequence of characters.
  `final class`
  `IntSequenceOutputs`
  An FST `Outputs` implementation where each output is a sequence of ints.
  `final class`
  `NoOutputs`
  A null FST `Outputs` implementation; use this if you just want to build an FSA.
  `class`
  `PairOutputs<A,B>`
  An FST `Outputs` implementation, holding two other outputs.
  `final class`
  `PositiveIntOutputs`
  An FST `Outputs` implementation where each output is a non-negative long value.
  Fields in org.apache.lucene.util.fst declared as Outputs
  Modifier and Type
  Field
  Description
  `final Outputs<T>`
  FST.`outputs`
  Methods in org.apache.lucene.util.fst with parameters of type Outputs
  Modifier and Type
  Method
  Description
  `static <T> FST<T>`
  FST.`read(Path path, Outputs<T> outputs)`
  Reads an automaton from a file.
  `static <T> FST.FSTMetadata<T>`
  FST.`readMetadata(DataInput metaIn, Outputs<T> outputs)`
  Read the FST metadata from DataInput
  Constructors in org.apache.lucene.util.fst with parameters of type Outputs
  Modifier
  Constructor
  Description
  ``
  `Builder(FST.INPUT_TYPE inputType, Outputs<T> outputs)`
  ``
  `FSTMetadata(FST.INPUT_TYPE inputType, Outputs<T> outputs, T emptyOutput, long startNode, int version, long numBytes)`
  ``
  `PairOutputs(Outputs<A> outputs1, Outputs<B> outputs2)`